## plasma-nm 5.18.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(plasma-networkmanagement)

set(PROJECT_VERSION "5.18.4")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.12.0")
set(KF5_MIN_VERSION "5.66.0")

################# set KDE specific information #################

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(ECMQMLModules)

include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Network
    Quick
    QuickWidgets
    Widgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    ConfigWidgets
    Completion
    CoreAddons
    Declarative
    DBusAddons
    KIO
    I18n
    IconThemes
    NetworkManagerQt
    Notifications
    Plasma
    Service
    Solid
    Wallet
    WidgetsAddons
    WindowSystem
)

find_package(KF5ModemManagerQt ${KF5_MIN_VERSION})
set_package_properties(KF5ModemManagerQt PROPERTIES
                       TYPE OPTIONAL)

ecm_find_qmlmodule(org.kde.prison 1.0)

if (BUILD_MOBILE)
    find_package(KF5Kirigami2 ${KF5_MIN_VERSION} CONFIG)
    set_package_properties(KF5Kirigami2 PROPERTIES
        DESCRIPTION "A QtQuick based components set"
        PURPOSE "Required at runtime by the mobile KCMs"
        TYPE RUNTIME
    )
endif()

# Required only for getting information about NetworkManager version in CMake
find_package(NetworkManager 1.4.0)
set_package_properties(NetworkManager PROPERTIES
                       TYPE REQUIRED)

find_package(MobileBroadbandProviderInfo)
set_package_properties(MobileBroadbandProviderInfo PROPERTIES
                       DESCRIPTION "Database of mobile broadband service providers"
                       URL "https://wiki.gnome.org/action/show/Projects/NetworkManager/MobileBroadband/ServiceProviders"
                       TYPE OPTIONAL)

find_package(Qca-qt5 2.1.0)
set_package_properties(Qca-qt5 PROPERTIES DESCRIPTION "Support for encryption"
                       URL "https://download.kde.org/stable/qca-qt5/"
                       TYPE REQUIRED)

find_package(KF5Prison ${KF5_MIN_VERSION})
set_package_properties(KF5Prison PROPERTIES DESCRIPTION "Prison library"
                       URL "https://commits.kde.org/prison"
                       TYPE RUNTIME
                       PURPOSE "Needed to create mobile barcodes for WiFi networks"
                      )

if (DISABLE_MODEMMANAGER_SUPPORT)
    message(STATUS "Disabling ModemManager support")
    set(WITH_MODEMMANAGER_SUPPORT 0)
else()
    if (KF5ModemManagerQt_FOUND)
        message(STATUS "Enabling ModemManager support")
        set(WITH_MODEMMANAGER_SUPPORT 1)
    else()
        message(STATUS "ModemManager or ModemManagerQt not found")
        set(WITH_MODEMMANAGER_SUPPORT 0)
    endif()
endif()

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)
add_definitions(-DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY)

add_definitions(-DWITH_MODEMMANAGER_SUPPORT=${WITH_MODEMMANAGER_SUPPORT})

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/libs
                    ${CMAKE_CURRENT_SOURCE_DIR}/libs/editor/)

add_subdirectory(applet)
add_subdirectory(kded)
add_subdirectory(kcm)
add_subdirectory(libs)
add_subdirectory(vpn)

if (BUILD_MOBILE)
    add_subdirectory(mobile)
endif()

# Enable unit testing
if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== vpn/sstp/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_sstpui\")

set(sstp_SRCS
   sstp.cpp
   sstpwidget.cpp
   sstpauth.cpp
   )

ki18n_wrap_ui(sstp_SRCS sstpwidget.ui sstpadvanced.ui sstpauth.ui)

add_library(plasmanetworkmanagement_sstpui ${sstp_SRCS})

kcoreaddons_desktop_to_json(plasmanetworkmanagement_sstpui plasmanetworkmanagement_sstpui.desktop)

target_link_libraries(plasmanetworkmanagement_sstpui
    plasmanm_internal
    plasmanm_editor
    KF5::CoreAddons
    KF5::I18n
    KF5::KIOWidgets
    KF5::WidgetsAddons
)

install(TARGETS plasmanetworkmanagement_sstpui  DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES plasmanetworkmanagement_sstpui.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== vpn/strongswan/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_strongswanui\")

set(strongswan_SRCS
   strongswan.cpp
   strongswanwidget.cpp
   strongswanauth.cpp
   )

ki18n_wrap_ui(strongswan_SRCS strongswanprop.ui strongswanauth.ui)

add_library(plasmanetworkmanagement_strongswanui ${strongswan_SRCS})

kcoreaddons_desktop_to_json(plasmanetworkmanagement_strongswanui plasmanetworkmanagement_strongswanui.desktop)

target_link_libraries(plasmanetworkmanagement_strongswanui
    plasmanm_internal
    plasmanm_editor
    KF5::CoreAddons
    KF5::I18n
    KF5::KIOWidgets
)

install(TARGETS plasmanetworkmanagement_strongswanui  DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES plasmanetworkmanagement_strongswanui.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== debian/changelog ===
plasma-nm (4:5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:47:30 +0100

plasma-nm (4:5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:08:58 +0000

plasma-nm (4:5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:31:04 +0000

plasma-nm (4:5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:37:53 +0000

plasma-nm (4:5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:45:12 +0000

plasma-nm (4:5.17.90.4-0ubuntu1) focal; urgency=medium

  * Yet ANOTHER hotfix on a hotfix on a hotfix! (5.17.90.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 19:23:03 +0000

plasma-nm (4:5.17.90.2-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)
  * New upstream hotfix release (5.17.90.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:09:13 +0000

plasma-nm (4:5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:45:45 +0000

plasma-nm (4:5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:25:02 +0000

plasma-nm (4:5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:05:47 +0000

plasma-nm (4:5.17.2-0ubuntu1) focal; urgency=medium

  * New optional build depend libkf5prison-dev
  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:51:02 +0000

=== debian/control ===
Source: plasma-nm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.66.0~),
               gettext,
               kinit-dev (>= 5.66.0~),
               libkf5completion-dev (>= 5.66.0~),
               libkf5configwidgets-dev (>= 5.66.0~),
               libkf5coreaddons-dev (>= 5.66.0~),
               libkf5dbusaddons-dev (>= 5.66.0~),
               libkf5declarative-dev (>= 5.66.0~),
               libkf5i18n-dev (>= 5.66.0~),
               libkf5iconthemes-dev (>= 5.66.0~),
               libkf5itemmodels-dev (>= 5.66.0~),
               libkf5itemviews-dev (>= 5.66.0~),
               libkf5kdelibs4support-dev (>= 5.66.0~),
               libkf5kio-dev (>= 5.66.0~),
               libkf5networkmanagerqt-dev (>= 5.66.0~),
               libkf5notifications-dev (>= 5.66.0~),
               libkf5plasma-dev (>= 5.66.0~),
               libkf5prison-dev (>= 5.66.0~),
               libkf5service-dev (>= 5.66.0~),
               libkf5solid-dev (>= 5.66.0~),
               libkf5wallet-dev (>= 5.66.0~),
               libkf5widgetsaddons-dev (>= 5.66.0~),
               libkf5windowsystem-dev (>= 5.66.0~),
               libkf5xmlgui-dev (>= 5.66.0~),
               libnm-dev (>= 1.0.0~),
               libopenconnect-dev (>= 3.99~),
               libqca-qt5-2-dev (>= 2.1.0~),
               mobile-broadband-provider-info,
               modemmanager-dev (>= 1.0.0~),
               modemmanager-qt-dev (>= 5.66.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.4.0~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-nm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm

Package: plasma-nm
Architecture: linux-any
Depends: mobile-broadband-provider-info,
         network-manager,
         plasma-framework (>= 5.54.0~),
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-prison,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: network-manager-openconnect,
          network-manager-openvpn,
          network-manager-pptp,
          network-manager-vpnc,
Replaces: plasma-nm-data
Description: Plasma5 networkmanager library.
 Plasma desktop network manager.
 .
 This package is part of the KDE Plasma.

## plasma-nm 5.18.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(plasma-networkmanagement)
 
-set(PROJECT_VERSION "5.18.4")
+set(PROJECT_VERSION "5.18.6")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.12.0")

=== libs/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement-libs\")

set(plasmanm_internal_SRCS
    models/appletproxymodel.cpp
    models/creatableconnectionsmodel.cpp
    models/editorproxymodel.cpp
    models/kcmidentitymodel.cpp
    models/mobileproxymodel.cpp
    models/networkitemslist.cpp
    models/networkmodel.cpp
    models/networkmodelitem.cpp

    configuration.cpp
    debug.cpp
    handler.cpp
    uiutils.cpp
)

add_library(plasmanm_internal SHARED ${plasmanm_internal_SRCS})

target_link_libraries(plasmanm_internal
PUBLIC
    KF5::NetworkManagerQt
    plasmanm_editor
    ${NETWORKMANAGER_LIBRARIES}
PRIVATE
    KF5::I18n
    KF5::IconThemes
    KF5::Notifications
    KF5::Service
    KF5::Wallet
    KF5::WindowSystem
)

if (WITH_MODEMMANAGER_SUPPORT)
    target_link_libraries(plasmanm_internal PUBLIC KF5::ModemManagerQt)
endif()

install(TARGETS plasmanm_internal ${INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(declarative)
add_subdirectory(editor)

=== libs/editor/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/widgets)

set(plasmanm_editor_SRCS
    settings/bondwidget.cpp
    settings/bridgewidget.cpp
    settings/btwidget.cpp
    settings/cdmawidget.cpp
    settings/connectionwidget.cpp
    settings/gsmwidget.cpp
    settings/infinibandwidget.cpp
    settings/ipv4widget.cpp
    settings/ipv6widget.cpp
    settings/pppoewidget.cpp
    settings/pppwidget.cpp
    settings/security802-1x.cpp
    settings/teamwidget.cpp
    settings/vlanwidget.cpp
    settings/wificonnectionwidget.cpp
    settings/wifisecurity.cpp
    settings/wiredconnectionwidget.cpp
    settings/wiredsecurity.cpp
    settings/wireguardinterfacewidget.cpp
    settings/wireguardtabwidget.cpp
    settings/wireguardpeerwidget.cpp

    widgets/advancedpermissionswidget.cpp
    widgets/bssidcombobox.cpp
    widgets/delegate.cpp
    widgets/editlistdialog.cpp
    widgets/hwaddrcombobox.cpp
    widgets/intdelegate.cpp
    widgets/ipv4delegate.cpp
    widgets/ipv4routeswidget.cpp
    widgets/ipv6delegate.cpp
    widgets/ipv6routeswidget.cpp
    widgets/passwordfield.cpp
    widgets/settingwidget.cpp
    widgets/ssidcombobox.cpp

    connectioneditorbase.cpp
    connectioneditordialog.cpp
    connectioneditortabwidget.cpp
    listvalidator.cpp
    simpleipv4addressvalidator.cpp
    simpleipv6addressvalidator.cpp
    simpleiplistvalidator.cpp
    wireguardkeyvalidator.cpp
    vpnuiplugin.cpp

    ../configuration.cpp
    ../debug.cpp
    ../uiutils.cpp
)

if (WITH_MODEMMANAGER_SUPPORT)
    set(plasmanm_editor_SRCS
        ${plasmanm_editor_SRCS}
        widgets/mobileconnectionwizard.cpp
        mobileproviders.cpp)
endif()

ki18n_wrap_ui(plasmanm_editor_SRCS
    settings/ui/802-1x.ui
    settings/ui/bond.ui
    settings/ui/bridge.ui
    settings/ui/bt.ui
    settings/ui/cdma.ui
    settings/ui/connectionwidget.ui
    settings/ui/gsm.ui
    settings/ui/infiniband.ui
    settings/ui/ipv4.ui
    settings/ui/ipv6.ui
    settings/ui/ppp.ui
    settings/ui/pppoe.ui
    settings/ui/team.ui
    settings/ui/vlan.ui
    settings/ui/team.ui
    settings/ui/wificonnectionwidget.ui
    settings/ui/wifisecurity.ui
    settings/ui/wiredconnectionwidget.ui
    settings/ui/wiredsecurity.ui
    settings/ui/wireguardinterfacewidget.ui
    settings/ui/wireguardtabwidget.ui
    settings/ui/wireguardpeerwidget.ui

    widgets/ui/advancedpermissionswidget.ui
    widgets/ui/ipv4routes.ui
    widgets/ui/ipv6routes.ui

    connectioneditortabwidget.ui
)

add_library(plasmanm_editor SHARED ${plasmanm_editor_SRCS})
target_link_libraries(plasmanm_editor
PUBLIC
    KF5::ConfigWidgets
    KF5::Completion
    KF5::NetworkManagerQt
    KF5::WidgetsAddons
    Qt5::Widgets
PRIVATE
    KF5::IconThemes
    KF5::I18n
    KF5::KIOWidgets
    KF5::Notifications
    KF5::Solid
    KF5::Wallet
    Qt5::DBus
    Qt5::Network
    qca-qt5
)

if (WITH_MODEMMANAGER_SUPPORT)
    target_link_libraries(plasmanm_editor PUBLIC KF5::ModemManagerQt)
endif()

install(TARGETS plasmanm_editor ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES plasma-networkmanagement-vpnuiplugin.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})

=== mobile/broadband/CMakeLists.txt ===
project (kcm_mobile_broadband)

set (mobilebroadbandsettings_SRCS mobilebroadbandsettings.cpp)

add_library(kcm_mobile_broadband MODULE ${mobilebroadbandsettings_SRCS})

target_link_libraries(kcm_mobile_broadband
    Qt5::DBus
    Qt5::Gui
    Qt5::Quick
    Qt5::Qml
    KF5::Plasma
    KF5::I18n
    KF5::NetworkManagerQt
    KF5::ModemManagerQt
    KF5::QuickAddons
)

kcoreaddons_desktop_to_json(kcm_mobile_broadband "mobilebroadbandsettings.desktop")

install(FILES mobilebroadbandsettings.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(TARGETS kcm_mobile_broadband DESTINATION ${PLUGIN_INSTALL_DIR}/kcms)
kpackage_install_package(package kcm_mobile_broadband kcms)

=== vpn/openvpn/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_openvpnui\")

# Needed to build this module
remove_definitions(-DQT_USE_FAST_OPERATOR_PLUS)

set(openvpn_SRCS
    openvpn.cpp
    openvpnwidget.cpp
    openvpnauth.cpp
    openvpnadvancedwidget.cpp
)

ki18n_wrap_ui(openvpn_SRCS openvpn.ui openvpnadvanced.ui)

add_library(plasmanetworkmanagement_openvpnui ${openvpn_SRCS})

kcoreaddons_desktop_to_json(plasmanetworkmanagement_openvpnui plasmanetworkmanagement_openvpnui.desktop)

target_link_libraries(plasmanetworkmanagement_openvpnui
    plasmanm_internal
    plasmanm_editor
    KF5::CoreAddons
    KF5::I18n
    KF5::WidgetsAddons
    KF5::KIOWidgets
)

install(TARGETS plasmanetworkmanagement_openvpnui  DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES plasmanetworkmanagement_openvpnui.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== vpn/pptp/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_pptpui\")

set(pptp_SRCS
   pptp.cpp
   pptpwidget.cpp
   pptpauth.cpp
   )

ki18n_wrap_ui(pptp_SRCS pptpprop.ui pptpadvanced.ui pptpauth.ui)

add_library(plasmanetworkmanagement_pptpui ${pptp_SRCS})

kcoreaddons_desktop_to_json(plasmanetworkmanagement_pptpui plasmanetworkmanagement_pptpui.desktop)

target_link_libraries(plasmanetworkmanagement_pptpui
    plasmanm_internal
    plasmanm_editor
    KF5::CoreAddons
    KF5::I18n
    KF5::WidgetsAddons
)

install(TARGETS plasmanetworkmanagement_pptpui  DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES plasmanetworkmanagement_pptpui.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== debian/changelog ===
plasma-nm (4:5.18.6-0ubuntu0.1) focal; urgency=medium

  * New upstream bugfix release (5.18.6) (LP: #1938894)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Jan 2022 07:40:38 +0000

plasma-nm (4:5.18.4.1-0ubuntu1.1) focal; urgency=medium

  * Backport patch from upstream Plasma 5.19 to fix connection list
    buttons theming. (LP: #1879033)
    - debian/patches: upstream_use-system-kirigami-color-scheme.patch
    - debian/control: Add qml-module-org-kde-kirigami2 runtime
      dependency.

 -- Rik Mills <rikmills@kde.org>  Sat, 23 May 2020 13:52:17 +0100

=== debian/control ===
--- 
+++ 
@@ -51,6 +51,7 @@
          network-manager,
          plasma-framework (>= 5.54.0~),
          qml-module-org-kde-kcoreaddons,
+         qml-module-org-kde-kirigami2,
          qml-module-org-kde-prison,
          ${misc:Depends},
          ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_strip:
	dh_strip --dbgsym-migration='plasma-nm-dbg (<= 4:5.5.5-1~~)'

## plasma-nm 5.19.5

=== debian/changelog ===
plasma-nm (4:5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:54:46 +0100

plasma-nm (4:5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:43:13 +0100

plasma-nm (4:5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 14:00:34 +0100

plasma-nm (4:5.19.2-0ubuntu1) groovy; urgency=medium

  * debian/patches: Drop included upstream_use-system-kirigami-color-
    scheme.patch
  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)
  * Add upstream_fix-inline-password-entry.patch requested by Nate to
    fix duplicate password requests.

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:46:34 +0100

plasma-nm (4:5.18.5-0ubuntu2) groovy; urgency=medium

  * Backport patch from upstream Plasma 5.19 to fix connection list
    buttons theming. (LP: #1879033)
    - debian/patches: upstream_use-system-kirigami-color-scheme.patch
    - debian/control: Add qml-module-org-kde-kirigami2 runtime
      dependency.

 -- Rik Mills <rikmills@kde.org>  Sat, 16 May 2020 10:05:40 +0100

plasma-nm (4:5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:41:33 +0100

=== debian/control ===
Source: plasma-nm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.70.0~),
               gettext,
               kinit-dev (>= 5.70.0~),
               libkf5completion-dev (>= 5.70.0~),
               libkf5configwidgets-dev (>= 5.70.0~),
               libkf5coreaddons-dev (>= 5.70.0~),
               libkf5dbusaddons-dev (>= 5.70.0~),
               libkf5declarative-dev (>= 5.70.0~),
               libkf5i18n-dev (>= 5.70.0~),
               libkf5iconthemes-dev (>= 5.70.0~),
               libkf5itemmodels-dev (>= 5.70.0~),
               libkf5itemviews-dev (>= 5.70.0~),
               libkf5kdelibs4support-dev (>= 5.70.0~),
               libkf5kio-dev (>= 5.70.0~),
               libkf5networkmanagerqt-dev (>= 5.70.0~),
               libkf5notifications-dev (>= 5.70.0~),
               libkf5plasma-dev (>= 5.70.0~),
               libkf5prison-dev (>= 5.70.0~),
               libkf5service-dev (>= 5.70.0~),
               libkf5solid-dev (>= 5.70.0~),
               libkf5wallet-dev (>= 5.70.0~),
               libkf5widgetsaddons-dev (>= 5.70.0~),
               libkf5windowsystem-dev (>= 5.70.0~),
               libkf5xmlgui-dev (>= 5.70.0~),
               libnm-dev (>= 1.0.0~),
               libopenconnect-dev (>= 3.99~),
               libqca-qt5-2-dev (>= 2.1.0~),
               mobile-broadband-provider-info,
               modemmanager-dev (>= 1.0.0~),
               modemmanager-qt-dev (>= 5.70.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.4.0~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-nm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm

Package: plasma-nm
Architecture: linux-any
Depends: mobile-broadband-provider-info,
         network-manager,
         plasma-framework (>= 5.54.0~),
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-prison,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: network-manager-openconnect,
          network-manager-openvpn,
          network-manager-pptp,
          network-manager-vpnc,
Replaces: plasma-nm-data
Description: Plasma5 networkmanager library.
 Plasma desktop network manager.
 .
 This package is part of the KDE Plasma.

## plasma-nm 5.20.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,16 +2,19 @@
 
 project(plasma-networkmanagement)
 
-set(PROJECT_VERSION "5.18.6")
+set(PROJECT_VERSION "5.20.5")
 set(PROJECT_VERSION_MAJOR 5)
 
-set(QT_MIN_VERSION "5.12.0")
-set(KF5_MIN_VERSION "5.66.0")
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_MIN_VERSION "5.74")
+
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 ################# set KDE specific information #################
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -55,14 +58,13 @@
 
 ecm_find_qmlmodule(org.kde.prison 1.0)
 
-if (BUILD_MOBILE)
-    find_package(KF5Kirigami2 ${KF5_MIN_VERSION} CONFIG)
-    set_package_properties(KF5Kirigami2 PROPERTIES
-        DESCRIPTION "A QtQuick based components set"
-        PURPOSE "Required at runtime by the mobile KCMs"
-        TYPE RUNTIME
-    )
-endif()
+find_package(KF5Kirigami2 ${KF5_MIN_VERSION} CONFIG)
+set_package_properties(KF5Kirigami2 PROPERTIES
+    DESCRIPTION "A QtQuick based components set"
+    PURPOSE "Required at runtime by the KCMs"
+    TYPE RUNTIME
+)
+
 
 # Required only for getting information about NetworkManager version in CMake
 find_package(NetworkManager 1.4.0)

=== vpn/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/libs/editor/widgets)

add_subdirectory(fortisslvpn)
add_subdirectory(iodine)
add_subdirectory(l2tp)
add_subdirectory(openconnect)
add_subdirectory(openvpn)
add_subdirectory(openswan)
add_subdirectory(pptp)
add_subdirectory(ssh)
add_subdirectory(sstp)
add_subdirectory(strongswan)
add_subdirectory(vpnc)

=== mobile/wifi/CMakeLists.txt ===
project (kcm_mobile_wifi)

set (wifisettings_SRCS wifisettings.cpp)

add_library(kcm_mobile_wifi MODULE ${wifisettings_SRCS})

target_link_libraries(kcm_mobile_wifi
    Qt5::DBus
    Qt5::Gui
    Qt5::Quick
    Qt5::Qml
    KF5::I18n
    KF5::NetworkManagerQt
    KF5::Plasma
    KF5::QuickAddons
)

kcoreaddons_desktop_to_json(kcm_mobile_wifi "wifisettings.desktop")

install(FILES wifisettings.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(TARGETS kcm_mobile_wifi DESTINATION ${PLUGIN_INSTALL_DIR}/kcms)
kpackage_install_package(package kcm_mobile_wifi kcms)

=== vpn/fortisslvpn/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_fortisslvpnui\")

set(fortisslvpn_SRCS
    fortisslvpn.cpp
    fortisslvpnwidget.cpp
    fortisslvpnauth.cpp
)

ki18n_wrap_ui(fortisslvpn_SRCS fortisslvpn.ui fortisslvpnadvanced.ui fortisslvpnauth.ui)

add_library(plasmanetworkmanagement_fortisslvpnui ${fortisslvpn_SRCS})

kcoreaddons_desktop_to_json(plasmanetworkmanagement_fortisslvpnui plasmanetworkmanagement_fortisslvpnui.desktop)

target_link_libraries(plasmanetworkmanagement_fortisslvpnui
    plasmanm_internal
    plasmanm_editor
    KF5::CoreAddons
    KF5::I18n
    KF5::KIOWidgets
    KF5::WidgetsAddons
)

install(TARGETS plasmanetworkmanagement_fortisslvpnui  DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES plasmanetworkmanagement_fortisslvpnui.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== vpn/l2tp/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_l2tpui\")

set(l2tp_SRCS
    l2tp.cpp
    l2tpwidget.cpp
    l2tpauth.cpp
    l2tpipsecwidget.cpp
    l2tppppwidget.cpp
)

ki18n_wrap_ui(l2tp_SRCS l2tp.ui l2tpipsec.ui l2tpppp.ui)

add_library(plasmanetworkmanagement_l2tpui ${l2tp_SRCS})

kcoreaddons_desktop_to_json(plasmanetworkmanagement_l2tpui plasmanetworkmanagement_l2tpui.desktop)

target_link_libraries(plasmanetworkmanagement_l2tpui
    plasmanm_internal
    plasmanm_editor
    KF5::CoreAddons
    KF5::I18n
    KF5::KIOWidgets
    KF5::WidgetsAddons
)

install(TARGETS plasmanetworkmanagement_l2tpui  DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES plasmanetworkmanagement_l2tpui.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== vpn/openconnect/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_openconnectui\")

set (MINIMUM_OPENCONNECT_VERSION_REQUIRED "3.99")

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_MODULE_PATH})

find_package(OpenConnect ${MINIMUM_OPENCONNECT_VERSION_REQUIRED} MODULE)
if (OPENCONNECT_FOUND)

    find_package(Qt5Xml ${QT_MIN_VERSION} CONFIG REQUIRED)

    if (${OPENCONNECT_VERSION} VERSION_LESS "3.99")
#         macro_optional_find_package(OpenSSL)
#         macro_log_feature(OpenSSL_FOUND "OpenSSL headers" "Encryption suite" "https://www.openssl.org" FALSE "" "Needed for OpenConnect support in Network Management")
        find_package(OpenSSL)
        set_package_properties(OpenSSL PROPERTIES
                            DESCRIPTION "Encryption suite"
                            URL "https://www.openssl.org"
                            TYPE OPTIONAL
                            )


        if (OpenSSL_FOUND)
            set (MINIMUM_OPENCONNECT_VERSION_REQUIRED "3.03")
            set (maybe_OPENSSL_LIBRARIES ${OpenSSL_LIBRARIES})
        endif()
    endif()

    if (${OPENCONNECT_VERSION} VERSION_GREATER ${MINIMUM_OPENCONNECT_VERSION_REQUIRED} OR
        ${OPENCONNECT_VERSION} VERSION_EQUAL ${MINIMUM_OPENCONNECT_VERSION_REQUIRED})

        include_directories(${OPENCONNECT_INCLUDE_DIRS})

        set(openconnect_SRCS
        ../../libs/debug.cpp
        openconnectui.cpp
        openconnectwidget.cpp
        openconnectauth.cpp
        openconnectauthworkerthread.cpp
        )

        ki18n_wrap_ui(openconnect_SRCS openconnectprop.ui openconnectauth.ui openconnecttoken.ui)

        add_library(plasmanetworkmanagement_openconnectui ${openconnect_SRCS})

        target_link_libraries(plasmanetworkmanagement_openconnectui
            plasmanm_internal
            plasmanm_editor
            ${NETWORKMANAGERQT5_LDFLAGS}
            KF5::CoreAddons
            KF5::I18n
            KF5::IconThemes
            KF5::KIOWidgets
            KF5::WidgetsAddons
            Qt5::Xml
            ${OPENCONNECT_LIBRARIES}
            ${maybe_OPENSSL_LIBRARIES}
        )
        install(TARGETS plasmanetworkmanagement_openconnectui  DESTINATION ${KDE_INSTALL_PLUGINDIR})
        install(FILES plasmanetworkmanagement_openconnectui.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
        install(FILES plasmanetworkmanagement_openconnect_juniperui.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
        install(FILES plasmanetworkmanagement_openconnect_globalprotectui.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
    else()
        message("ERROR: OpenConnection version '${OPENCONNECT_VERSION}' does not match minimum required (${MINIMUM_OPENCONNECT_VERSION_REQUIRED})")
        message("OpenConnect plugin will not be built")
        set(OPENCONNECT_FOUND False)
    endif()
else (OPENCONNECT_FOUND)
    message("OpenConnect plugin will not be built")
endif (OPENCONNECT_FOUND)

#macro_log_feature(OPENCONNECT_FOUND "OpenConnect headers and library" "Cisco AnyConnect compatible VPN client" "http://www.infradead.org/openconnect.html" FALSE ${MINIMUM_OPENCONNECT_VERSION_REQUIRED} "Needed for OpenConnect support in Plasma NM")

=== vpn/openswan/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_openswanui\")

set(openswan_SRCS
    openswan.cpp
    openswanwidget.cpp
    openswanauth.cpp
)

ki18n_wrap_ui(openswan_SRCS openswan.ui openswanauth.ui)

add_library(plasmanetworkmanagement_openswanui ${openswan_SRCS})

kcoreaddons_desktop_to_json(plasmanetworkmanagement_openswanui plasmanetworkmanagement_openswanui.desktop)

target_link_libraries(plasmanetworkmanagement_openswanui
    plasmanm_internal
    plasmanm_editor
    KF5::CoreAddons
    KF5::I18n
    KF5::WidgetsAddons
)

install(TARGETS plasmanetworkmanagement_openswanui  DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES plasmanetworkmanagement_openswanui.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== vpn/ssh/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_sshui\")

set(ssh_SRCS
   ssh.cpp
   sshwidget.cpp
   sshauth.cpp
   )

ki18n_wrap_ui(ssh_SRCS sshwidget.ui sshadvanced.ui sshauth.ui)

add_library(plasmanetworkmanagement_sshui ${ssh_SRCS})

kcoreaddons_desktop_to_json(plasmanetworkmanagement_sshui plasmanetworkmanagement_sshui.desktop)

target_link_libraries(plasmanetworkmanagement_sshui
    plasmanm_internal
    plasmanm_editor
    KF5::CoreAddons
    KF5::I18n
    KF5::KIOWidgets
    KF5::WidgetsAddons
)

install(TARGETS plasmanetworkmanagement_sshui  DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES plasmanetworkmanagement_sshui.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== vpn/vpnc/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_vpncui\")

set(vpnc_SRCS
    ../../libs/debug.cpp
    vpnc.cpp
    vpncwidget.cpp
    vpncadvancedwidget.cpp
    vpncauth.cpp
)

ki18n_wrap_ui(vpnc_SRCS vpnc.ui vpncadvanced.ui vpncauth.ui)

add_library(plasmanetworkmanagement_vpncui ${vpnc_SRCS})

kcoreaddons_desktop_to_json(plasmanetworkmanagement_vpncui plasmanetworkmanagement_vpncui.desktop)

target_link_libraries(plasmanetworkmanagement_vpncui
    plasmanm_internal
    plasmanm_editor
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::KIOWidgets
    KF5::I18n
    KF5::WidgetsAddons
)

install(TARGETS plasmanetworkmanagement_vpncui  DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES plasmanetworkmanagement_vpncui.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== debian/changelog ===
plasma-nm (4:5.20.5-3) unstable; urgency=medium

  * Team upload.
  * Slightly improve the descriptions.
  * Remove Multi-Arch: same from plasma-nm: it does not make sense to let it
    be installed for two architectures at the same time.
  * Remove leading '/' in install files.
  * Add more network-manager suggests to plasma-nm: network-manager-fortisslvpn,
    network-manager-iodine, network-manager-l2tp, network-manager-openconnect,
    network-manager-ssh, and network-manager-strongswan.

 -- Pino Toscano <pino@debian.org>  Mon, 18 Jan 2021 23:44:51 +0100

plasma-nm (4:5.20.5-2) unstable; urgency=medium

  * Team upload.

  [ Jonah Brüchert ]
  * Enable mobile networking kcm and split it into a new
    kde-config-mobile-networking package. Since the translations
    of the mobile kcm were already installed earlier, the package
    breaks / replaces older versions of plasma-nm.

  [ Sandro Knauß ]
  * Trim trailing whitespace.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Bump Standards-Version (No changes needed).
  * Add multiarch metadata for plasma-nm.

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 Jan 2021 00:27:34 +0100

plasma-nm (4:5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:53 +0900

plasma-nm (4:5.20.4-3) unstable; urgency=medium

  * Runtime depend on the qml modules qml-module-org-kde-kirigami2
    and qml-module-org-kde-prison instead of their library packages,
    as we have qml imports in the code for these
    (Thanks to Rik Mills)

 -- Norbert Preining <norbert@preining.info>  Mon, 28 Dec 2020 09:41:22 +0900

plasma-nm (4:5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:38 +0900

plasma-nm (4:5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).
  * Update build-deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:33 +0900

plasma-nm (4:5.19.5-3) unstable; urgency=medium

  [ Scarlett Moore ]
  * Fix renamed lintian tag ldconfig trigger.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:24 +0900

plasma-nm (4:5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:42 +0900

plasma-nm (4:5.19.5-1) experimental; urgency=medium

  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 17:37:34 +0900

plasma-nm (4:5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.18.5).
  * Update build-deps and deps with the info from cmake.
  * Delete not needed Breaks/Confilcts.
  * Add myself to Uploaders.
  * Remove not needed injection of linker flags.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set/Update field Upstream-Contact in debian/copyright.
  * Update build-deps and deps with the info from cmake.

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Remove Maximiliano from Uploaders as requested on IRC.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.
  * Update Qt build-deps with the info from cmake.
  * Add runtime dependencies based on the info from cmake.
  * Enable hardening for build.
  * Update upstream metadata.
  * Use new lintian override tags.
  * Override lintian warning on large /usr/share.

 -- Pino Toscano <pino@debian.org>  Sun, 30 Aug 2020 00:28:33 +0200

plasma-nm (4:5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 21:17:20 +0100

plasma-nm (4:5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Update build-deps and deps with the info from cmake

  [ Pino Toscano ]
  * New upstream release.
  * Update the patches:
    - upstream_Add-some-missing-includes.patch: drop, backported from upstream
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.62.0
    - add libkf5prison-dev
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat

 -- Pino Toscano <pino@debian.org>  Fri, 17 Jan 2020 09:15:30 +0100

plasma-nm (4:5.14.5-2) unstable; urgency=medium

  * Team upload.

  [ Scarlett Gately Moore ]
  * Make plasma-nm recommend libkf5wallet-bin as wifi password storage is not
    working unless kwallet is installed (and enabled). Possibly fixes #863973.

  [ Pino Toscano ]
  * Remove unused build dependencies: kinit-dev, libkf5itemmodels-dev,
    libkf5itemviews-dev, libkf5kdelibs4support-dev, libkf5xmlgui-dev, and
    qttools5-dev.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Drop the migration from plasma-nm-dbg, no more needed after two Debian
    stable releases.
  * Use https for Format in copyright.
  * Backport upstream commit a1c99fc7cbba1a0e1b1d2fce4c8b6ca24a5c7b63 to fix
    build with newer KF; patch upstream_Add-some-missing-includes.patch.
  * Update lintian overrides.

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco

 -- Pino Toscano <pino@debian.org>  Sun, 13 Oct 2019 09:28:56 +0200

plasma-nm (4:5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:26:07 -0300

plasma-nm (4:5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).


=== debian/control ===
Source: plasma-nm
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.74.0~),
               gettext,
               kirigami2-dev (>= 5.74.0~),
               libkf5completion-dev (>= 5.74.0~),
               libkf5configwidgets-dev (>= 5.74.0~),
               libkf5coreaddons-dev (>= 5.74.0~),
               libkf5dbusaddons-dev (>= 5.74.0~),
               libkf5declarative-dev (>= 5.74.0~),
               libkf5i18n-dev (>= 5.74.0~),
               libkf5iconthemes-dev (>= 5.74.0~),
               libkf5kio-dev (>= 5.74.0~),
               libkf5networkmanagerqt-dev (>= 5.74.0~),
               libkf5notifications-dev (>= 5.74.0~),
               libkf5plasma-dev (>= 5.74.0~),
               libkf5prison-dev (>= 5.74.0~),
               libkf5service-dev (>= 5.74.0~),
               libkf5solid-dev (>= 5.74.0~),
               libkf5wallet-dev (>= 5.74.0~),
               libkf5widgetsaddons-dev (>= 5.74.0~),
               libkf5windowsystem-dev (>= 5.74.0~),
               libnm-dev (>= 1.4.0~),
               libopenconnect-dev (>= 3.99~),
               libqca-qt5-2-dev (>= 2.1.0~),
               mobile-broadband-provider-info,
               modemmanager-dev (>= 1.0.0~),
               modemmanager-qt-dev (>= 5.74.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~)
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/plasma/plasma-nm
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-nm
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-nm.git
Rules-Requires-Root: no

Package: plasma-nm
Architecture: linux-any
Depends: mobile-broadband-provider-info,
         network-manager,
         plasma-framework,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-prison,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5wallet-bin
Suggests: network-manager-fortisslvpn,
          network-manager-iodine,
          network-manager-l2tp,
          network-manager-openconnect,
          network-manager-openvpn,
          network-manager-pptp,
          network-manager-ssh,
          network-manager-strongswan,
          network-manager-vpnc
Description: Plasma network connections management
 plasma-nm provides a Plasma applet written in QML for managing network
 connections using Network Manager.
 .
 This package is part of the KDE Plasma.

Package: kde-config-mobile-networking
Architecture: linux-any
Breaks: plasma-nm (<< 4:5.20.5-2)
Replaces: plasma-nm (<< 4:5.20.5-2)
Depends: plasma-framework,
         qml-module-org-kde-kirigami2,
         qml-module-qtquick2,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma mobile configuration modules
 This package contains the configuration modules to setup mobile, broadband
 and Wi-Fi connections.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kf5 -- -DBUILD_MOBILE=true

## plasma-nm 5.21.4

=== debian/changelog ===
plasma-nm (4:5.21.4-0ubuntu2) hirsute; urgency=medium

  * Cherry-pick upstream bugfix patches:
    - upstream_fix-password-filed-focus.patch
      https://bugs.kde.org/435430
    - upstream_forward-opeconnect-usergroup.patch
      https://bugs.kde.org/435561

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Apr 2021 14:06:39 +0100

plasma-nm (4:5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:10:43 +0100

plasma-nm (4:5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:35:08 +0000

plasma-nm (4:5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:13:39 +0000

plasma-nm (4:5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:07:12 +0000

plasma-nm (4:5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:22:55 +0000

plasma-nm (4:5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:45:53 +0000

plasma-nm (4:5.20.5-3ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Do not build or supply a package for the mobile broadband KCM, as
      this will be removed shortly in Plasma 5.21. 

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Jan 2021 09:13:56 +0000

plasma-nm (4:5.20.5-1ubuntu1) hirsute; urgency=medium

  * Add Kubuntu Vcs fields (we do not want 5.20.5-2 to auto-sync).

 -- Rik Mills <rikmills@kde.org>  Fri, 15 Jan 2021 01:46:15 +0000

=== debian/control ===
--- 
+++ 
@@ -36,11 +36,11 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.0~),
-               qtdeclarative5-dev (>= 5.15.0~)
+               qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/plasma/plasma-nm
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-nm
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-nm.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
 Rules-Requires-Root: no
 
 Package: plasma-nm
@@ -68,18 +68,3 @@
  connections using Network Manager.
  .
  This package is part of the KDE Plasma.
-
-Package: kde-config-mobile-networking
-Architecture: linux-any
-Breaks: plasma-nm (<< 4:5.20.5-2)
-Replaces: plasma-nm (<< 4:5.20.5-2)
-Depends: plasma-framework,
-         qml-module-org-kde-kirigami2,
-         qml-module-qtquick2,
-         qml-module-qtquick-controls2,
-         qml-module-qtquick-layouts,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Plasma mobile configuration modules
- This package contains the configuration modules to setup mobile, broadband
- and Wi-Fi connections.
